Debian Bug report logs - #609345
New option to force feed2omb to always shorten the URL

version graph

Package: feed2omb; Maintainer for feed2omb is Raphaël Hertzog <hertzog@debian.org>; Source for feed2omb is src:feed2omb.

Reported by: lisandro@debian.org

Date: Sat, 8 Jan 2011 19:15:02 UTC

Severity: wishlist

Tags: upstream

Found in version feed2omb/0.9-1

Fixed in version feed2omb/0.9.2-1

Done: Raphaël Hertzog <hertzog@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://projects.ciarang.com/p/feed2omb/issues/21/

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, perezmeyer@gmail.com, Raphaël Hertzog <hertzog@debian.org>:
Bug#609345; Package feed2omb. (Sat, 08 Jan 2011 19:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>:
New Bug report received and forwarded. Copy sent to perezmeyer@gmail.com, Raphaël Hertzog <hertzog@debian.org>. (Sat, 08 Jan 2011 19:15:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: feed2omb: Fails to get shortened urls from bit.ly
Date: Sat, 08 Jan 2011 16:10:26 -0300
Package: feed2omb
Version: 0.9-1
Severity: normal
Tags: upstream

feed2omb seems to be failing to get shortened URLs from bit.ly. See for example
<http://identi.ca/notice/61779563>.

This seems to be solved upstream: <http://projects.ciarang.com/p/feed2omb/issues/19/>

Regards, Lisandro.


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (990, 'testing'), (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-5-amd64 (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages feed2omb depends on:
ii  python                  2.6.6-3+squeeze4 interactive high-level object-orie
ii  python-configobj        4.7.2+ds-1       simple but powerful config file re
ii  python-feedparser       4.1-14           Universal Feed Parser for Python

Versions of packages feed2omb recommends:
pn  python-xmpp                   <none>     (no description available)

feed2omb suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Raphaël Hertzog <hertzog@debian.org>:
Bug#609345; Package feed2omb. (Sat, 08 Jan 2011 19:45:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Raphael Hertzog <hertzog@debian.org>:
Extra info received and forwarded to list. Copy sent to Raphaël Hertzog <hertzog@debian.org>. (Sat, 08 Jan 2011 19:45:05 GMT) Full text and rfc822 format available.

Message #10 received at 609345@bugs.debian.org (full text, mbox):

From: Raphael Hertzog <hertzog@debian.org>
To: Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>, 609345@bugs.debian.org
Subject: Re: Bug#609345: feed2omb: Fails to get shortened urls from bit.ly
Date: Sat, 8 Jan 2011 20:40:08 +0100
retitle 609345 New option to force feed2omb to always shorten the URL
severity 609345 wishlist
forwarded 609345 http://projects.ciarang.com/p/feed2omb/issues/21/
thanks

On Sat, 08 Jan 2011, Lisandro Damián Nicanor Pérez Meyer wrote:
> Package: feed2omb
> Version: 0.9-1
> Severity: normal
> Tags: upstream
> 
> feed2omb seems to be failing to get shortened URLs from bit.ly. See for example
> <http://identi.ca/notice/61779563>.
> 
> This seems to be solved upstream: <http://projects.ciarang.com/p/feed2omb/issues/19/>

Both are unrelated, feed2omb only shortens the URL when it's required to
fit in the 140 characters. In your case, it was not required so it was not
shortened.

I have filed a bug report upstream asking for a new option to always
shorten the URL. See http://projects.ciarang.com/p/feed2omb/issues/21/.

Cheers,
-- 
Raphaël Hertzog ◈ Debian Developer

Follow my Debian News ▶ http://RaphaelHertzog.com (English)
                      ▶ http://RaphaelHertzog.fr (Français)




Changed Bug title to 'New option to force feed2omb to always shorten the URL' from 'feed2omb: Fails to get shortened urls from bit.ly' Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Sat, 08 Jan 2011 19:45:06 GMT) Full text and rfc822 format available.

Severity set to 'wishlist' from 'normal' Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Sat, 08 Jan 2011 19:45:07 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://projects.ciarang.com/p/feed2omb/issues/21/'. Request was from Raphael Hertzog <hertzog@debian.org> to control@bugs.debian.org. (Sat, 08 Jan 2011 19:45:08 GMT) Full text and rfc822 format available.

Changed Bug submitter to 'lisandro@debian.org' from 'Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com>' Request was from Lisandro Damián Nicanor Pérez Meyer <perezmeyer@gmail.com> to control@bugs.debian.org. (Sun, 25 Sep 2011 17:13:21 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Raphaël Hertzog <hertzog@debian.org>:
Bug#609345; Package feed2omb. (Wed, 11 Jan 2012 18:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ciaran Gultnieks <ciaran@ciarang.com>:
Extra info received and forwarded to list. Copy sent to Raphaël Hertzog <hertzog@debian.org>. (Wed, 11 Jan 2012 18:45:10 GMT) Full text and rfc822 format available.

Message #23 received at 609345@bugs.debian.org (full text, mbox):

From: Ciaran Gultnieks <ciaran@ciarang.com>
To: 609345@bugs.debian.org
Subject: Re: Bug#609345: feed2omb: Fails to get shortened urls from bit.ly
Date: Wed, 11 Jan 2012 18:32:31 +0000
Version 0.9.2 implements the feature requested above, as per
http://projects.ciarang.com/p/feed2omb/issues/21/







Reply sent to Raphaël Hertzog <hertzog@debian.org>:
You have taken responsibility. (Wed, 18 Jan 2012 08:48:14 GMT) Full text and rfc822 format available.

Notification sent to lisandro@debian.org:
Bug acknowledged by developer. (Wed, 18 Jan 2012 08:48:14 GMT) Full text and rfc822 format available.

Message #28 received at 609345-close@bugs.debian.org (full text, mbox):

From: Raphaël Hertzog <hertzog@debian.org>
To: 609345-close@bugs.debian.org
Subject: Bug#609345: fixed in feed2omb 0.9.2-1
Date: Wed, 18 Jan 2012 08:47:49 +0000
Source: feed2omb
Source-Version: 0.9.2-1

We believe that the bug you reported is fixed in the latest version of
feed2omb, which is due to be installed in the Debian FTP archive:

feed2omb_0.9.2-1.debian.tar.gz
  to main/f/feed2omb/feed2omb_0.9.2-1.debian.tar.gz
feed2omb_0.9.2-1.dsc
  to main/f/feed2omb/feed2omb_0.9.2-1.dsc
feed2omb_0.9.2-1_all.deb
  to main/f/feed2omb/feed2omb_0.9.2-1_all.deb
feed2omb_0.9.2.orig.tar.gz
  to main/f/feed2omb/feed2omb_0.9.2.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 609345@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Raphaël Hertzog <hertzog@debian.org> (supplier of updated feed2omb package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 18 Jan 2012 09:07:56 +0100
Source: feed2omb
Binary: feed2omb
Architecture: source all
Version: 0.9.2-1
Distribution: unstable
Urgency: low
Maintainer: Raphaël Hertzog <hertzog@debian.org>
Changed-By: Raphaël Hertzog <hertzog@debian.org>
Description: 
 feed2omb   - Announces new articles in a feed to an open microblogging service
Closes: 609345
Changes: 
 feed2omb (0.9.2-1) unstable; urgency=low
 .
   * New upstream release.
   * This version implements the 'shortenalways' option. Closes: #609345
   * Update watch file with latest release.
   * Update Standards-Version to 3.9.2 (no change).
   * Update debian/patches/add-shebang to apply on the new version.
   * Use dh_python2 instead of python-support.
Checksums-Sha1: 
 2d4a49526b11e84ba7e9cf46cf9798e6c2b694b2 1903 feed2omb_0.9.2-1.dsc
 de25a59a0922df5e592571e9997bf8c9a6dbb378 131973 feed2omb_0.9.2.orig.tar.gz
 20c5c364516ef7ecbafa0f9a69fae1533d919aba 14881 feed2omb_0.9.2-1.debian.tar.gz
 0172a27995a13f042cf8e0f8ac3afda275eab970 22834 feed2omb_0.9.2-1_all.deb
Checksums-Sha256: 
 d00f4f632ba42e0aa7c2d30fde9a6175f368c7d3ac726c7495461dd119d2a9c1 1903 feed2omb_0.9.2-1.dsc
 a69a20c9d92ce5f928146c4f0e6e88bef810f5086880bb4e5e6c812259028c7e 131973 feed2omb_0.9.2.orig.tar.gz
 bee467baafa2becf8a40ac2fb3fdf70eca4d86e06815cb534a76ea13d7ffe8ac 14881 feed2omb_0.9.2-1.debian.tar.gz
 51dfe64233ef434c32e45e2e72db569fdd4ca06c99f58a9acc1a897cf9e5ebe1 22834 feed2omb_0.9.2-1_all.deb
Files: 
 8f57157ca715f3ac31519f3dfc7da99e 1903 net optional feed2omb_0.9.2-1.dsc
 5376b5551c876c644d1f245d8faa4fa6 131973 net optional feed2omb_0.9.2.orig.tar.gz
 2414d1e04b1e5f172766cb098f70e3a1 14881 net optional feed2omb_0.9.2-1.debian.tar.gz
 8ec508c9b724d6ec7dc9d234c9067520 22834 net optional feed2omb_0.9.2-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)
Comment: Signed by Raphael Hertzog

iQIcBAEBCAAGBQJPFoC3AAoJEOYZBF3yrHKaUF4QAKf5WPVGdlO9aVCKmTd6+X/Q
lfvzv6N0BMSwmTsKHjdPMmh6c05Cf2pKqd1C3s56+zuw9Z3mxiQByUmdkwWZpiyC
JncHOQt9cg8VtLUYc3dWiio7g5KK5Xg14+rBtJkgdh2Bi+tTkngiZRHXJP0LFqfg
ukZqgJKjajxfVvae06UicwpXPV3Kz5TSkgQf6XsfuDHHm/j+zphPQrGzNtB8NyED
ciuDYjTs/tGYF+XcxpUn3mG2HZRB6+QHGUmfxSCxzEpEk+pOI5kYqpGXGFShlpo+
fn5xwMjeTD4PGOMWmSkhdS8V0NmfzUjfauVZego7tFr6fX/qODhk3zK1A6FFq+hI
lgxhyF34Ns2Hkdd08dMBONdIx5n38J7oHgrxlesHygGzBlVM0JOnuSwHbXxYdodA
u7637J9brKCLYrT4Gmcs+WrY9Khs4jyJbs4O5BTtsI8jIm1JzCVtGzO8o+Xd9Yfo
LpLHudTzhcxT/49mQh8oAuYEKQUeGnV0TMYb3FiPk2VKPifQQR/5GSYVx6Nkyitg
V2u/mfW+cGiatVL1Pc+5n+7L8EVv7aN9x6C9Li/4ulTqlOmFDeGTLZLDTXTQW9mU
CgDL+6yZ0wyIk5UFI6z5EwDlVCY/ASkOFhXpn3vP4kV1ifaxkUe64jpYaWnYPg5p
AKxwaiQD3g+6x45uKfrC
=lDm8
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 26 Feb 2012 07:35:49 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 11:31:11 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.